Leesh,
Thanks for the precise instructions. I think I was able to upgrade my installation. But the version on the admin header still says 1.2. I did check the release notes and i understand 1.3 has IP blacklists as new. I do have IP blacklist on the admin menu. how else can i confirm the version?
Thanks,
Z